@font-face {
    font-family: 'Noto Serif';
    src: url('/assets/fonts/Noto-Serif/static/NotoSerif-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Noto Sans';
    src: url('/assets/fonts/Noto-Sans/static/NotoSans-Regular.ttf') format('truetype');
}

body {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    margin: 0;
    font-family: 'Noto Sans';
    font-size: 17px;
}

header {
    margin-bottom: 100px;
    padding: 50px 20vh;
}

main {
    padding: 0 20vh;
}

footer {
    background-color: #f6f6f6;
    border-top: 1px solid #dee2e6;
    padding: 50px 20vh;
    margin-top: 100px;
}

section {
    text-align: left;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    font-family: 'Noto Serif';
    font-weight: 500;
}

h1 {
    font-size: 32px;
    margin-bottom: 20px;
}

h2 {
    font-size: 24px;
    margin-bottom: 15px;
}

h3 {
    font-size: 22px;
    margin-bottom: 10px;
}

h4 {
    font-size: 1.9em;
    margin-bottom: 10px;
}

h5 {
    font-size: 1.4em;
    margin-bottom: 10px;
}

h6 {
    font-size: 1em;
    margin-bottom: 10px;
}

small {
    font-size: 0.8em;
}

b {
    font-weight: 600;
}

a {
    color: #000;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

.globalnav {
    display: flex;
    align-items: center;
    padding: 10px 20px;
    background-color: #f8f9fa;
    border-bottom: 1px solid #dee2e6;
    position: fixed;
    width: 100%;
    z-index: 50;
}

.globalnav .nav-list {
    flex-direction: row;
    width: calc(100% - 40px);
    justify-content: space-around;
    gap: none;
}

.nav-list {
    font-family: 'Noto Serif';
    display: flex;
    gap: 25px;
    padding-left: 0;
    padding-right: 0;
}

.nav-list li {
    list-style: none;
}

.nav-list li a {
    font-size: 20px;
    border-bottom: 2px solid transparent;
    transition: border-bottom 0.3s ease;
    text-decoration: none;
}

.nav-list li a[data-active] {
    border-bottom: 2px solid #000;
}

.nav-list li a:not([data-active]):hover {
    border-bottom: 2px solid #aaa;
}

.site-path-navigation {
    margin: 20px;
}

.site-path-list {
    margin: 0;
    display: flex;
    overflow-x: auto;
    scrollbar-width: thin;
}

.site-path-list li {
    list-style: none;
    margin-right: 0 10px;
}

.site-path-list li a {
    font-size: 16px;
    cursor: pointer;
}

.site-path-list li a:hover {
    text-decoration: underline;
}

.site-path-list li:last-child {
    font-weight: 600;
}

.site-path-list li:not(:last-child)::after {
    content: '|';
    margin: 0 10px;
    color: #aaa;
}

#globalnav-offset {
    height: 100px;
}

#menu-toggle-c {
    display: none;
    justify-self: right;
    cursor: pointer;
}

#menu-expand {
    display: none;
}

.side-nav-list {
    flex-direction: column;
    background-color: #f6f6f6;
    height: 100vh;
    padding: 130px 50px 50px;
    width: 150px;
    margin: 0;
}

.side-nav-list-container {
    display: flex;
    z-index: 100;
    position: fixed;
    top: 0;
    left: 0;
    transform: translateX(-250px);
    transition: transform 0.3s ease;
}

#menu-toggle-c2 {
    display: block;
    z-index: 1000;
    cursor: pointer;
}

#menu-toggle-c2-c {
    margin-top: -120px;
    margin-left: -30px;
}

#side-nav-list-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 80
}

.cards {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    align-items: stretch;
    margin-top: 20px;
}

.card {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    width: 350px;
    text-align: left;
    transform: scale(1);
    transition: transform 0.3s ease;
    cursor: pointer;
    display: block;
    text-decoration: none;
    color: #000;
}

.card:hover {
    transform: scale(1.02);
    text-decoration: none;
}

.card:hover .card-link-text {
    text-decoration: underline;
}

.card .content {
    padding: 20px;
}

.card .card-image {
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 8px 8px 0 0;
}

.redirect-info-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    width: 100vw;
}

.redirect-info {
    text-align: center;
    background-color: #f6f6f6;
    border: 1px solid #dee2e6;
    border-radius: 20px;
    padding: 20px;
    width: 250px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.warning {
    color: #ff0a23;
}

.warning-box {
    background-color: #f8d7da;
    color: #721c24;
    border: 1px solid #f5c6cb;
    border-radius: 5px;
    padding: 10px;
}

@media (max-width: 768px) {
    .globalnav .nav-list {
        display: none;
    }

    #menu-expand:checked~.side-nav-list-container {
        display: flex;
        flex-direction: column;
        transform: translateX(0);
    }

    #menu-expand:checked~#side-nav-list-overlay {
        display: flex;
        flex-direction: column;
    }

    #menu-toggle-c {
        display: block;
    }

    main {
        padding: 0 20px;
    }
    footer {
        padding: 50px 20px;
    }

    header {
        padding: 50px 20px;
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .card {
        width: calc(100vw - 50px)
    }
}